Subject: Re: novice looking for book

From: Steve Wellcome <[email-masked]>
Date: 26 Jan 1996 13:35:38 GMT

I've found that that Argus series of books from England has been pretty much
uniformly good, no matter what topic I've picked up.

Tubal Cain's "Model Engineer's Handbook," also an English publication, is
quite likely also very good, based on all I've seen of his work in Model
Engineer magazine.

For lathe work, I really like "The Amateur's Lathe," by L.H. Sparey (also
English).

Most/all of these books are available from various U.S. sources, or certainly
>from  TEE Publishing, in England.  I've dealt with TEE via mailorder, and been
quite satisfied with their service.